@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

*,
*::after,
*::before {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.html {
    font-size: 62.5%;
}

body {
    font-family: "Poppins", sans-serif;
}

/* ///////////..classe Utile ../////////// */

.container {
    max-width: 1200px;
    width: 90%;
    margin: auto;
}

.btn {
    display: inline-block;
    padding: 0.5em 1.5em;
    text-decoration: none;
    border-radius: 50px;
    cursor: pointer;
    outline: none;
    margin-top: 1em;
    text-transform: uppercase;
    font-weight:normal;
}

.btn-primary {
    color: #fff;
    background: #16a083;
}

.btn-primary:hover {
    background: #117964;
    transition: background 0.3s ease-in-out;
}

/* ............/navbar/............ *

/* Bureau mode............/// */

.navbar input[type="checkbox"],
.navbar .hamburger-lines {
    display: none;
}

.navbar {
    box-shadow: 0px 5px 10px 0px #aaa;
    position: fixed;
    width: 100%;
    background: #fff;
    color: #000;
    opacity: 0.85;
    height: 50px;
    z-index: 12;
}

.navbar-container {
    display: flex;
    justify-content: space-between;
    height: 64px;
    align-items: center;
}

.menu-items {
    order: 2;
    display: flex;
}

.menu-items li {
    list-style: none;
    margin-left: 1.5rem;
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
}

.menu-items a {
    text-decoration: none;
    color: #444;
    font-weight: 500;
    transition: color 0.3s ease-in-out;
}

.menu-items a:hover {
    color: #117964;
    transition: color 0.3s ease-in-out;
}
.logo-link {
    text-decoration: none; /* Retire le soulignement */
    color: inherit; /* Garde la couleur définie pour le logo */
    display: flex; /* Pour préserver l'ordre défini avec `order` */
    align-items: center; /* Aligne verticalement si nécessaire */
}

.logo {
    order: 1; /* Respecte l'ordre défini */
    font-size: 2.3rem;
    margin-bottom: 0.5rem;
}

@media (max-width: 768px) {
    .logo {
        position: absolute;
        top: 5px;
        right: 15px;
        font-size: 2rem;
    }
}

@media (max-width: 500px) {
    .logo {
        position: absolute;
        top: 6px;
        right: 15px;
        font-size: 3rem;
    }
}

.logo {
    order: 1;
    font-size: 2.3rem;
    margin-bottom: 0.5rem;
}

/* ............//// Showcase style ////......... */

.showcase-area {
    height: 50vh;
    background: linear-gradient(
            rgba(240, 240, 240, 0.144),
            rgba(255, 255, 255, 0.336)
    ),
    url("https://9to5google.com/?attachment_id=532809");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


.showcase-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-size: 1.6rem;
}

.main-title {
    text-transform: uppercase;
    margin-top: 1.5em;
}
.title-container {
    display: flex;
    gap: 20px;
}
.title-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.title-item p {
    margin: 0;
}
.title-item a {
    margin-top: 10px;
}

/* ......//A Propos//...... */

#a-propos {
    padding: 50px 0;
    background: #f5f5f7;
}

.a-propos-wrapper {
    display: flex;
    flex-wrap: wrap;
}

#a-propos h2 {
    font-size: 2.3rem;
}

#a-propos p {
    font-size: 1.2rem;
    color: #555;
}

#a-propos .small {
    font-size: 1.2rem;
    color: #666;
    font-weight: 600;
}

.a-propos-img {
    flex: 1 1 400px;
    padding: 30px;
    transform: translateX(150%);
    animation: a-propos-img-animation 1s ease-in-out forwards;
}

@keyframes a-propos-img-animation {
    100% {
        transform: translate(0);
    }
}

.a-propos-text {
    flex: 1 1 400px;
    padding: 30px;
    margin: auto;
    transform: translate(-150%);
    animation:a-propos-text-animation 1s ease-in-out forwards;
}

@keyframes a-propos-text-animation {
    100% {
        transform: translate(0);
    }
}

.a-propos-img img {
    display: block;
    height: 400px;
    max-width: 100%;
    margin: auto;
    object-fit: cover;
    object-position: right;
}

/* ..........////content category///........... */

#content {
    padding: 5rem 0 10rem 0;
}
#content-deploiement {
    padding: 5rem 0 10rem 0;
}

#content h2 {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 400;
    margin-bottom: 40px;
    text-transform: uppercase;
    color: #555;
}

.content-container {
    display: flex;
    justify-content: center;
}

.content-container img {
    display: block;
    width: 100%;
    margin: auto;
    max-height: 300px;
    object-fit: cover;
    object-position: center;
}

.img-container {
    margin: 0 1rem;
    position: relative;

}

.img-content {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    z-index: 2;
    text-align: center;
    transition: all 0.3s ease-in-out 0.1s;
    width: 90%; /* Ajoutez cette propriété pour limiter la largeur */
    max-width: 300px; /* Définissez une largeur maximale pour éviter le débordement */
    padding: 10px; /* Ajoutez un peu de padding autour du texte pour l'isoler */
    box-sizing: border-box; /* Assurez-vous que le padding n'affecte pas la largeur */
}

.img-content h3 {
    color: #fff;
    font-size: 150%;
    word-wrap: break-word; /* Permet de casser les mots longs si nécessaire */
    margin: 0; /* Retirer toute marge par défaut */
    padding: 0; /* Retirer toute marge interne */
}



.img-content a {
    font-size: 1.2rem;
}

.img-container::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.871);
    opacity: 0;
    z-index: 1;

    transform: scaleY(0);
    transform-origin: 100% 100%;
    transition: all 0.3s ease-in-out;
}

.img-container:hover::after {
    opacity: 1;
    transform: scaleY(1);
}

.img-container:hover .img-content {
    opacity: 1;
    top: 40%;
}

/* .........../content Menu/............ */

.content-menu-heading {
    text-align: center;
    font-size: 3.4rem;
    font-weight: 400;
    color: #666;
}
.content-menubis-heading {
    text-align: center;
    font-size: 3.4rem;
    font-weight: 400;
    color: #666;
}
.content-menu-container {
    display: flex;
    flex-wrap: wrap;
    padding: 50px 0px 30px 0px;
}
.content-menubis-container {
    display: flex;
    flex-wrap: wrap;
    padding: 50px 0px 30px 0px;
}
.content-menu-container img {
    display: block;
    width: 500px;

    object-fit: cover;
    object-position: center;
}
.content-menubis-container img {
    display: block;
    width: 500px;

    object-fit: cover;
    object-position: center;
}
#full-s {
    display: block;
    object-fit: cover;
    object-position: center;

}

.content-menu-item {
    display: flex;
    flex: 1 1 600px;
    justify-content: space-evenly;
    margin-bottom: 3rem;
}
.content-menubis-item {
    display: flex;
    flex: 1 1 600px;
    justify-content: space-evenly;
    margin-bottom: 3rem;
}
.content-description {
    margin: auto 1.5rem;
}

.font-title {
    font-size: 1.8rem;
    font-weight: 400;
    color: #444;
}

.content-description p {
    font-size: 1.4rem;
    color: #555;
    font-weight: 500;
}
#content-deploiement h2 {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 400;
    margin-bottom: 40px;
    text-transform: uppercase;
    color: #555;
}
/* .........../Bouton pour voir les images/............ */


/* Styles pour le conteneur principal */
.gantt-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 2rem 0; /* Ajouter de l'espace autour du conteneur */
}

/* Masquer le contenu de .gantt-image-container par défaut */
.gantt-image-container {
    display: none;
    width: 100%; /* S'assure que l'image occupe tout l'espace disponible */
    text-align: center; /* Centre le contenu */
}

/* Afficher le contenu si la case à cocher est cochée */
input[type="checkbox"]:checked + label + .gantt-image-container {
    display: block;
    margin-top: 1rem; /* Ajoute un espace au-dessus de l'image */
}
/* Cacher la checkbox */
input[type="checkbox"] {
    display: none;
}

/* Style de l'image */
.gantt-image-container img {
    max-width: 100%; /* L'image occupe tout l'espace possible sans déborder */
    height: auto; /* Respecte les proportions de l'image */
    border: 1px solid #ccc; /* Optionnel : Ajoute une bordure */
    border-radius: 8px; /* Optionnel : Ajoute des coins arrondis */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Optionnel : Ajoute une ombre */
}

/* Style du bouton/label */
label {
    display: inline-block;
    margin-top: 1rem;
    padding: 0.5rem 1.5rem;
    background-color: #16a083;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}

label:hover {
    background-color: #117964;
}


/* Styles pour l'image */
.image-content img {
    max-width: 100%; /* Ajuste l'image à la taille de l'écran si elle est trop grande */
    height: auto;
    margin-top: 20px;
}

/* Masquer le contenu de .toggle-content par défaut */
.toggle-content {
    display: none;
    width: 100%;
    text-align: center;
    margin-top: 20px;
}

/* Afficher l'image lorsque le lien avec href="#image-manip1" est cliqué */
#image-manip1:target,
#image-manip2:target,
#image-manip3:target,
#image-manip4:target,
#image-manip5:target {
    display: block;
}

/* Styles pour le lien (bouton "Voir l'image") */
.btn {
    display: inline-block;
    margin-top: 1rem;
    padding: 0.5rem 1.5rem;
    background-color: #16a083;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}

.btn:hover {
    background-color: #0056b3;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.3);
}

/* Styles pour l'image */
.toggle-content img {
    width: 100%; /* L'image prendra toute la largeur de l'espace disponible */
    height: 100%; /* L'image prendra également toute la hauteur disponible */
    object-fit: contain; /* Assure que l'image garde son ratio tout en remplissant l'espace */
    margin-top: 20px;
    border-radius: 8px;
}


/* Bouton de fermeture pour masquer l'image */
.close-btn {
    display: inline-block;
    margin-top: 20px;
    padding: 0.5rem 1.5rem;
    background-color: #ff6f61;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}

.close-btn:hover {
    background-color: #cc4a3d;
}

/* Supprime l'affichage du contenu au clic sur le bouton "Fermer l'image" */
#image-manip1:target .close-btn:focus,
#image-manip2:target .close-btn:focus,
#image-manip3:target .close-btn:focus,
#image-manip4:target .close-btn:focus,
#image-manip5:target .close-btn:focus {
    display: none;
}

/* ........./ Fin bouton Gantt /.......... */

/* ........./ Contacts /.......... */

#Contacts {
    padding: 5rem 0;
    background: rgba(243, 243, 243);
}

.Contacts-title {
    text-align: center;
    font-size: 2.8rem;
    font-weight: 400;
    color: #555;
}

.Contacts-container {
    display: flex;
    justify-content: space-between;
    font-size: 1.4rem;
    padding: 1rem;
}

.Contacts-box .checked {
    color: #ff9529;
}

.Contacts-box .Contacts-text {
    margin: 1rem 0;
    color: #444;
}

.Contacts-box {
    text-align: center;
    padding: 1rem;
}

.Contacts-photo img {
    display: block;
    width: 150px;
    height: 150px;
    object-fit: cover;
    object-position: center;
    border-radius: 50%;
    margin: auto;
}


#footer h2 {
    text-align: center;
    font-size: 1.8rem;
    padding: 2.6rem;
    font-weight: 500;
    color: #fff;
    background: rgb(65, 65, 65);
}

/*Bouton remonter*/
.back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #333;
    color: white;
    padding: 10px;
    border-radius: 5px;
    text-decoration: none;
}

.back-to-top:hover {
    background: #555;
}
/*Bouton remonter*/
.alert {
    color: red;
    font-weight: bold;
    font-size: 24px;

    padding: 10px;
    border-radius: 5px;
}

/* ......../ media query /.......... */

@media (max-width: 768px) {        <!-- Copyright -->
    .navbar {
        opacity: 0.95;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines {
        display: block;
    }

    .navbar-container {
        display: block;
        position: relative;
        height: 64px;
    }

    .navbar-container input[type="checkbox"] {
        position: absolute;
        display: block;
        height: 32px;
        width: 30px;
        top: 20px;
        left: 20px;
        z-index: 5;
        opacity: 0;
    }

    .navbar-container .hamburger-lines {
        display: block;
        height: 23px;
        width: 35px;
        position: absolute;
        top: 17px;
        left: 20px;
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .navbar-container .hamburger-lines .line {
        display: block;
        height: 4px;
        width: 100%;
        border-radius: 10px;
        background: #333;
    }

    .navbar-container .hamburger-lines .line1 {
        transform-origin: 0% 0%;
        transition: transform 0.4s ease-in-out;
    }

    .navbar-container .hamburger-lines .line2 {
        transition: transform 0.2s ease-in-out;
    }

    .navbar-container .hamburger-lines .line3 {
        transform-origin: 0% 100%;
        transition: transform 0.4s ease-in-out;
    }

    .navbar .menu-items {
        padding-top: 100px;
        background: #fff;
        height: 100vh;
        max-width: 300px;
        transform: translate(-150%);
        display: flex;
        flex-direction: column;
        margin-left: -40px;
        padding-left: 50px;
        transition: transform 0.5s ease-in-out;
        box-shadow: 5px 0px 10px 0px #aaa;
    }

    .navbar .menu-items li {
        margin-bottom: 1.5rem;
        font-size: 1.3rem;
        font-weight: 500;
    }

    .logo {
        position: absolute;
        top: 5px;
        right: 15px;
        font-size: 2rem;
    }

    .navbar-container input[type="checkbox"]:checked ~ .menu-items {
        transform: translateX(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
        transform: rotate(35deg);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
        transform: scaleY(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
        transform: rotate(-35deg);
    }

    /* ......./ content /......... */

    .content-container {
        flex-direction: column;
        align-items: stretch;
    }

    .content-type:not(:last-child) {
        margin-bottom: 3rem;
    }

    .content-type {
        box-shadow: 5px 5px 10px 0 #aaa;
    }

    .img-container {
        margin: 0;
    }
}

@media (max-width: 500px) {
    html {
        font-size: 65%;
    }

    .navbar .menu-items li{
        font-size: 1.6rem;
    }

    .contact-container {
        flex-direction: column;
        text-align: center;
    }

    .content-menu-container img {
        margin: auto;
    }
    .content-menubis-container img {
        margin: auto;
    }
    .content-menu-item {
        flex-direction: column;
        text-align: center;
    }
    .content-menubis-item {
        flex-direction: column;
        text-align: center;
    }
    .contact-container {
        display: flex;
        flex-direction: column;
    }

    .contact-img {
        width: 90%;
        margin: 3rem auto;
    }

    .logo {
        position: absolute;
        top: 06px;
        right: 15px;
        font-size: 3rem;
    }

    .navbar .menu-items li {
        margin-bottom: 2.5rem;
        font-size: 1.8rem;
        font-weight: 500;
    }
}

@media (min-width: 769px) and (max-width: 1200px) {
    .img-container h3 {
        font-size: 1.5rem;
    }

    .img-container .btn {
        font-size: 0.7rem;
    }
}

@media (orientation: landscape) and (max-height: 500px) {
    .showcase-area {
        height: 50vmax;
    }
}
/* Option : Ajout d'une animation douce lors du défilement */
html {
    scroll-behavior: smooth;
}

/* Option : Style pour section active */
id:target {
    animation: highlight 2s ease;
}

@keyframes highlight {
    0% {
        background-color: #fff3cd;
    }
    100% {
        background-color: transparent;
    }
}
